/**
  ******************************************************************************
  * @file       Form.c
  * @author     Neil Lab :: Left Radio
  * @version    v1.0.0
  * @date       2015-12-06 03:02:46.443406
  * @brief      NGL Page Form sourse
  ******************************************************************************
**/

/* Define --------------------------------------------------------------------*/

/* Includes ------------------------------------------------------------------*/
#include "NGL.h"
#include "fonts.h"
#include "bitmaps.h"
#include "form_greeds.h"


/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Extern functions ----------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
static void Form_Draw(void);
static void Form_Click(Coordinate data, NGL_TouchType type);

/* Private variables ---------------------------------------------------------*/
NGL_Page Form = {
    { 0, 0, 400, 300 },       // [X0, Y0, X1, Y1]
    0,               // ID
    0x0,           // BackColor
    TRUE,               // Exit allowed

    /* Objects pointers array (Buttons, Labels, FillBars, etc.) */
    {
        form_greeds, 1, 
		
    },

    Form_Draw,    // Page draw function
    Form_Click,   // Page click (or index change) function
};

/* Private functions ---------------------------------------------------------*/
/**
  * @brief  Form_Draw
  *         Draw page objects function
  * @param  None
  * @retval None
*/
static void Form_Draw(void)
{
      uint8_t cnt = 0;

    /* Clear all screen */
    NGL_LCD_Clear_AllScreen(0x0);

    /* Draw all static graphics primitive, labels, etc. */
    

    /* Draw objects */
    NGL_GUI_DrawPageObjects();
}

/**
  * @brief  Form_Click
  *         Common click page objects
  * @param  None
  * @retval None
*/
static void Form_Click(Coordinate data, NGL_TouchType type)
{
    
}






/*********************************************************************************************************
      END FILE
*********************************************************************************************************/